summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPaweł Krupa <pawel@krupa.net.pl>2018-12-04 00:27:47 +0100
committerGitHub <noreply@github.com>2018-12-04 00:27:47 +0100
commitb38ba2d3169e7df7db627c10fd3c2c91ec213f31 (patch)
tree6016f8446f7ff54dc1ac3b6870d1f4c509fb55e7 /tests
parent25dc3d83e9ccfc2dd000e2a08a84be94d684a498 (diff)
lifecycle test (#4789)
Diffstat (limited to 'tests')
-rwxr-xr-xtests/lifecycle.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/lifecycle.sh b/tests/lifecycle.sh
new file mode 100755
index 0000000000..5ba7db654e
--- /dev/null
+++ b/tests/lifecycle.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -e
+
+if [ ! -f .gitignore ]
+then
+ echo "Run as ./tests/$(basename "$0") from top level directory of git repository"
+ exit 1
+fi
+
+if ! git config user.name; then
+ git config user.email "test@example.com"
+ git config user.name "test"
+fi
+
+echo "========= INSTALL ========="
+./netdata-installer.sh --dont-wait --dont-start-it --install /tmp &>/dev/null
+
+echo "========= ADD GARBAGE ========="
+touch test
+git add test
+git commit -m 'test commit'
+touch new_file
+git status
+
+echo "========= UPDATE ========="
+./netdata-updater.sh
+
+#echo "========= UNINSTALL ========="
+#./netdata-uninstaller.sh